SDL_IsJoystickHaptic(3)

NAME
SDL_IsJoystickHaptic - Query if a joystick has haptic features.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_IsJoystickHaptic(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     to test for haptic capabilities.

RETURN VALUE
Returns true if the joystick is haptic or false if it isn't.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_OpenHapticFromJoystick(3)